package engine.CollisionEngine;

import engine.math.Vector3f;
import engine.objects.Building;

import java.awt.*;
import java.awt.geom.Line2D;
import java.awt.geom.Rectangle2D;
import java.util.ArrayList;
import java.util.HashMap;

public class CollisionManager {
    public static HashMap<Integer, ArrayList<MeshData>> structure_meshes;
    public static HashMap<Integer,ArrayList<Triangle>> mesh_triangles;
    public static boolean CollisionDetected(Building building, Line2D travelLine, float charHeight, float charY){

        if(building.buildingRect != null)
            if(!travelLine.intersects(building.buildingRect) && !building.buildingRect.contains(travelLine.getP1()) && !building.buildingRect.contains(travelLine.getP2()))
                return false;

        for(Mesh mesh : building.buildingMeshes)
            if(mesh.collides(travelLine))
                return true;

        return false;
    }
}
